apiVersion: v1
kind: Service
metadata:
    name: nextcloud-local-access-svc
    namespace: home-stuff
    annotations:
        metallb.universe.tf/allow-shared-ip: internal
spec:
    selector:
        app: ENC[AES256_GCM,data:DHFpayE8/4Pv,iv:KEt0iuD4B7Gi2lSbswTs8FHE77Fhaq92kMNmVL9SY/s=,tag:n9R+KtsZ+H4tKSA7cx+MmA==,type:str]
    ports:
        - port: ENC[AES256_GCM,data:y454OxE=,iv:gLmnkxj4tiMP3Z4xkIn02PDJNQea97sG20Ipcjl2Yf8=,tag:OL0I21EHdZDb2Ox87IzgFQ==,type:int]
          protocol: ENC[AES256_GCM,data:E4m6,iv:D8e5vjGKOYGckM4xShXPzD/GaGHurvrdp/IbA79yrvg=,tag:Qvf9spSV2PrI1LjTuKmwNQ==,type:str]
          targetPort: ENC[AES256_GCM,data:AJQ2,iv:yXAP15dzmjP7G5bKVn84V+Uu0Gk4xva+s3PFzkA4AW8=,tag:G59kNkvxncm2ozsNZUMM5w==,type:int]
    type: LoadBalancer
    loadBalancerIP: ENC[AES256_GCM,data:tStCk2fdsqCWBV+G,iv:D09cpPqUT/UGO+O/YfMd/3dqQgGUyDcqx8dP4QKPwMA=,tag:V+KjgYL7mdllR981TMkoOg==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBTMmdxUENmcS85YTFWZi9S
            RXdYVi9xT2ZjVlJvTW9kOEZYTlYrSEJNSjJFCjBiVk1sTUJMRW5ubTJ5WDd0RFNK
            dXJIUm1pbml5VFlCWThEaDJRLzM4ZkUKLS0tIHJwZWtCS0V5VmlUbVhMRi9yZE9m
            S0M1UlFPWVN1ZGx5alFZeFhuWGVrM2cKeJOyfT+rqhMFJq397JA4Q3RTBFuCLi/p
            BK3PFq3TNo1cR7noeLuNAKDZa4juC/zE2/2vyiXgs5mVtM3/2Sd+DQ==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-29T21:31:02Z"
    mac: ENC[AES256_GCM,data:AshGR5h3WmExFQv15IQirlDG0l7aHTg76ehDu28c6BU7VQJvReS53s4gbB506HtkQ0wRGSvnUMVIBBGyYOTKGUMSCaqboICNGTTf1IFtFt/8+Ze2NslS69TukNF8e02xDcllCCNZaRh7WjE53LMdNlLeN9/ztQ03oCWTydONBSM=,iv:svI8urhYpgL/63dFGnIoMgyLEgbBbZYOtZn/seWAaV4=,tag:YJoxbPzT/RNGF8rCo3ZCjQ==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
